var ws = new KrWindowStack(document.getElementById('main'));
var page = KrFramework.createPage({
  src: '../../trader-native/modules/entry/index.html',
  parent: ws.element,
  noFakeNavBar: true
}, {
  openPage: function(page) {
    ws.open(page.win);
  },
  closePage: function(page) {
    ws.close(page.win);
  },
  closeRootPage: function() {
    window.location.href = '../main-window/index.html';
  }
});

page.win.open();

$(page.win.iframe).on('load', function() {
  document.addEventListener("deviceready", function() {
    navigator.splashscreen.hide();
  }, false);
});

document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
  document.addEventListener("backbutton", onBackKeyDown, false);
}

function onBackKeyDown() {
  if (!ws.top()) {
    navigator.app.exitApp();
  } else {
    ws.close();
  }
}