angular.module('app.modules.portfolio.templates', [])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/portfolio/templates/portfolio-edit.tpl.jade', [
'',
'<tabview-container id="protfolio-edit">',
'  <tabview heading="编辑自选股" prev="icon_back" next="删除" on-next="deleteConfirm()" on-prev="goBack()">',
'    <kr-loader load-fn="loadFn" on-kr-loader="onLoader($loader)"></kr-loader>',
'    <div class="result-list">',
'      <div ng-repeat="stock in stocks track by $index" class="stock fixed-t">',
'        <div class="c stock-info"> ',
'          <div class="name">{{ stock.name }}</div>',
'          <div class="symbol">{{ stock.symbol }}</div>',
'        </div>',
'        <div kr-click="up($index)" class="c up-icon">',
'          <div class="fa fa-arrow-circle-up">                      </div>',
'        </div>',
'        <div ng-switch="stockToRemove[stock.symbol]" ng-click="deleteCheck(stock)" class="c add-icon"> ',
'          <div ng-switch-default class="fa fa-square-o"></div>',
'          <div ng-switch-when="true" class="fa fa-check-square-o">                             </div>',
'        </div>',
'      </div>',
'    </div>',
'  </tabview>',
'</tabview-container>',''].join("\n"));
}])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/portfolio/templates/portfolio-search.tpl.jade', [
'',
'<tabview-container id="protfolio-search">',
'  <tabview heading="股票查询" prev="icon_back">',
'    <div class="fixed-t search-box">',
'      <div class="c search-icon">',
'        <div class="fa fa-search"></div>',
'      </div>',
'      <div class="c"> ',
'        <input type="text" placeholder="股票代码/拼音/名称" ng-model="search.input" autocorrect="off" autocapitalize="off" autofocus>',
'      </div>',
'    </div>',
'    <div class="result-list">',
'      <div ng-repeat="stock in search.result track by stock.symbol" class="stock fixed-t">',
'        <div class="c stock-info"> ',
'          <div class="name">{{ stock.name }}</div>',
'          <div class="symbol">{{ stock.symbol }}</div>',
'        </div>',
'        <div show-loading ng-if="!myWatchStockMap[stock.symbol]" kr-click="add(stock)" class="c add-icon"> ',
'          <div class="fa fa-plus"></div>',
'        </div>',
'        <div ng-if="myWatchStockMap[stock.symbol]" class="c add-icon">',
'          <div class="fa fa-check-circle"></div>',
'        </div>',
'      </div>',
'    </div>',
'  </tabview>',
'</tabview-container>',''].join("\n"));
}])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/portfolio/templates/portfolio-index.tpl.jade', [
'',
'<tabview-container id="protfolio-index">',
'  <!--tabview(heading=\'自选股\', prev="编辑", on-prev="goEditing()", next=\'icon_search\', on-next="goAdding()")-->',
'  <tabview heading="自选股" prev="icon_back" next="icon_search" on-next="goAdding()">',
'    <kr-loader on-kr-loader="onLoader($loader)"></kr-loader>',
'    <div class="protfolio-list">',
'      <table>',
'        <thead>',
'          <tr> ',
'            <th class="left-padding">股票</th>',
'            <th class="text-right">最新价格</th>',
'            <th class="text-right right-padding">涨跌幅</th>',
'          </tr>',
'        </thead>',
'        <tbody>                                                               ',
'          <tr ng-repeat="stock in myWatchStocks track by $index" kr-click="goStock(stock)">',
'            <td class="left-padding"> ',
'              <div class="name">{{ stock.name }}</div>',
'              <div class="symbol">{{ stock.symbol }}</div>',
'            </td>',
'            <td class="text-right">{{ stock.price | price:2:true }}</td>',
'            <td ng-switch="stock.suspended" class="text-right right-padding"><span ng-switch-default kr-color-element color-depend="stock.rise" zero-as="\'red\'" class="rating">{{ stock.rise | percentage:2 }}</span><span ng-switch-when="true" class="rating">停牌</span></td>',
'          </tr>',
'          <tr></tr>',
'        </tbody>',
'      </table>',
'    </div>',
'    <div fixed-bottom-navigation class="fixed-bottom-navigation">',
'      <ol>',
'        <li kr-click="goGym()">',
'          <div id="intro_portfolio_train"><i class="fa fa-bar-chart"></i>训练</div>',
'        </li>',
'        <li kr-click="goEditing()">',
'          <div id="intro_portfolio_edit"><i class="fa fa-pencil"></i>编辑</div>',
'        </li>',
'        <li ng-if="!refreshing" kr-click="refreshManually()"><i class="fa fa-rotate-right"></i>刷新</li>',
'        <li ng-if="refreshing"><i class="fa fa-spinner fa-spin"></i></li>',
'      </ol>',
'    </div>',
'  </tabview>',
'</tabview-container>',''].join("\n"));
}])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/portfolio/templates/portfolio-stock.tpl.jade', [
'',
'<tabview-container id="protfolio-stock">',
'  <tabview heading="{{stock.name}}" prev="icon_back">',
'    <kr-loader load-fn="loadFn"></kr-loader>',
'    <div ng-show="showData" class="stock-text-info-wrapper">',
'      <div class="portrait-only">',
'        <div ng-if="!stock.suspended" class="fixed-t">',
'          <div class="c stock-cur-price-block">',
'            <div class="big-price-block"> ',
'              <div color-element color-depend="(stock.price - stock.last_close)" ng-class="{\'index\': stock.is_index}" class="big-price">{{ stock.price | price }}</div>',
'              <div class="fixed-t">',
'                <div color-element color-depend="(stock.price - stock.last_close)" class="c">{{ (stock.price - stock.last_close).toFixed(2) }}</div>',
'                <div color-element color-depend="(stock.price - stock.last_close)" class="c">{{ (stock.price - stock.last_close) / stock.last_close | percentage }}</div>',
'              </div>',
'            </div>',
'          </div>',
'          <div class="c stock-mul-price-block">',
'            <div class="time fixed-t text-gray">',
'              <div class="c date">{{ stock.time | ChineseDate:true }}</div>',
'              <div class="c">{{ stock.time | date:"HH:mm:ss" }}</div>',
'            </div>',
'            <div class="fixed-t">',
'              <div class="c"><span class="text-gray">今开：</span><span>{{ stock.open | price }}</span></div>',
'              <div class="c"><span class="text-gray">最高：</span><span>{{ stock.high | price }}                        </span></div>',
'            </div>',
'            <div class="fixed-t">',
'              <div class="c"><span class="text-gray">昨收：</span><span>{{ stock.last_close | price }}</span></div>',
'              <div class="c"><span class="text-gray">最低：</span><span>{{ stock.low | price }}</span></div>',
'            </div>',
'          </div>',
'        </div>',
'        <div ng-if="!stock.suspended" class="info-wrapper">',
'          <div class="info">',
'            <div class="fixed-t">',
'              <div class="c"><span class="text-gray">成交量：</span><span>{{ stock.volume / 100 | chineseNum }}</span></div>',
'              <div class="c"> <span class="text-gray">资金流：</span><span color-element color-depend="stock.money_flow">{{ stock.money_flow | chineseNum }}</span></div>',
'            </div>',
'          </div>',
'          <div class="info">',
'            <div class="fixed-t">',
'              <div class="c"> <span class="text-gray">成交额：</span><span>{{ stock.amount | chineseNum }}</span></div>',
'            </div><!--',
'            <div class="c"> <span class="text-gray">市盈率： </span><span>{{ stock.pe.toFixed(2) }}</span></div>-->',
'          </div>',
'        </div>',
'        <div ng-if="stock.suspended" class="fixed-t">',
'          <div class="c stock-cur-price-block">',
'            <div class="big-price-block"> ',
'              <div class="big-price">{{ stock.price | price }}</div>',
'              <div class="fixed-t">',
'                <div class="c">--</div>',
'                <div class="c">--</div>',
'              </div>',
'            </div>',
'          </div>',
'          <div class="c stock-mul-price-block">',
'            <div class="time fixed-t text-gray">',
'              <div class="c date">{{ stock.time | ChineseDate:true }}</div>',
'              <div class="c">{{ stock.time | date:"HH:mm:ss" }}</div>',
'            </div>',
'            <div class="fixed-t">',
'              <div class="c"><span class="text-gray">今开：</span><span>--</span></div>',
'              <div class="c"><span class="text-gray">最高：</span><span>--                      </span></div>',
'            </div>',
'            <div class="fixed-t">',
'              <div class="c"><span class="text-gray">昨收：</span><span>{{ stock.last_close | price }}</span></div>',
'              <div class="c"><span class="text-gray">最低：</span><span>--</span></div>',
'            </div>',
'          </div>',
'        </div>',
'        <div ng-if="stock.suspended" class="info-wrapper">',
'          <div class="info">',
'            <div class="fixed-t">',
'              <div class="c"><span class="text-gray">成交量：</span><span>--</span></div>',
'              <div class="c"> <span class="text-gray">资金流：</span><span>--</span></div>',
'            </div>',
'          </div>',
'          <div class="info">',
'            <div class="fixed-t">',
'              <div class="c"> <span class="text-gray">成交额：</span><span>--                           </span></div>',
'            </div>',
'          </div>',
'        </div>',
'      </div>',
'      <div class="landscape-only">',
'        <div ng-if="!stock.suspended" class="fixed-t">',
'          <div class="c stock-cur-price-block">',
'            <div class="big-price-block"> ',
'              <div color-element color-depend="(stock.price - stock.last_close)" class="big-price">{{ stock.price | price }}</div>',
'              <div class="fixed-t">',
'                <div color-element color-depend="(stock.price - stock.last_close)" class="c">{{ (stock.price - stock.last_close).toFixed(2) }}</div>',
'                <div color-element color-depend="(stock.price - stock.last_close)" class="c">{{ (stock.price - stock.last_close) / stock.last_close | percentage }}                </div>',
'              </div>',
'            </div>',
'          </div>',
'          <div class="c stock-mul-price-block">',
'            <div class="time fixed-t text-gray">',
'              <div class="c date">{{ stock.time | ChineseDate:true }}</div>',
'              <div class="c">{{ stock.time | date:"HH:mm:ss" }}</div>',
'            </div>',
'            <div class="fixed-t">',
'              <div class="c mul-prices">',
'                <div class="fixed-t">',
'                  <div class="c text-left"><span class="text-gray">今开：</span><span>{{ stock.open | price }}</span></div>',
'                  <div class="c text-left"><span class="text-gray">最高：</span><span>{{ stock.high | price }}                        </span></div>',
'                </div>',
'                <div class="fixed-t">',
'                  <div class="c text-left"><span class="text-gray">昨收：</span><span>{{ stock.last_close | price }}</span></div>',
'                  <div class="c text-left"><span class="text-gray">最低：</span><span>{{ stock.low | price }}                                </span></div>',
'                </div>',
'              </div>',
'              <div class="c">',
'                <div class="fixed-t info">',
'                  <div class="c text-left"><span class="text-gray">成交量：</span><span>{{ stock.volume / 100| chineseNum }}</span></div>',
'                  <div class="c text-left"><span class="text-gray">资金流：</span><span color-element color-depend="stock.money_flow">{{ stock.money_flow | chineseNum }}</span></div>',
'                </div>',
'                <div class="fixed-t info">',
'                  <div class="c text-left"> <span class="text-gray">成交额：</span><span>{{ stock.amount | chineseNum }}</span></div>',
'                </div><!--',
'                <div class="c text-left"> <span class="text-gray">市盈率： </span><span>{{ stock.pe.toFixed(2) }} </span></div>-->',
'              </div>',
'            </div>',
'          </div>',
'        </div>',
'        <div ng-if="stock.suspended" class="fixed-t">',
'          <div class="c stock-cur-price-block">',
'            <div class="big-price-block"> ',
'              <div class="big-price">{{ stock.price | price }}</div>',
'              <div class="fixed-t">',
'                <div class="c">--</div>',
'                <div class="c">--             </div>',
'              </div>',
'            </div>',
'          </div>',
'          <div class="c stock-mul-price-block">',
'            <div class="time fixed-t text-gray">',
'              <div class="c date">{{ stock.time | ChineseDate:true }}</div>',
'              <div class="c">{{ stock.time | date:"HH:mm:ss" }}</div>',
'            </div>',
'            <div class="fixed-t">',
'              <div class="c mul-prices">',
'                <div class="fixed-t">',
'                  <div class="c text-left"><span class="text-gray">今开：</span><span>--</span></div>',
'                  <div class="c text-left"><span class="text-gray">最高：</span><span>--                    </span></div>',
'                </div>',
'                <div class="fixed-t">',
'                  <div class="c text-left"><span class="text-gray">昨收：</span><span>{{ stock.last_close | price }}</span></div>',
'                  <div class="c text-left"><span class="text-gray">最低：</span><span>--                              </span></div>',
'                </div>',
'              </div>',
'              <div class="c">',
'                <div class="fixed-t info">',
'                  <div class="c text-left"><span class="text-gray">成交量：</span><span>--</span></div>',
'                  <div class="c text-left"><span class="text-gray">资金流：</span><span>--</span></div>',
'                </div>',
'                <div class="fixed-t info">',
'                  <div class="c text-left"> <span class="text-gray">成交额：</span><span>--                                                                        </span></div>',
'                </div>',
'              </div>',
'            </div>',
'          </div>',
'        </div>',
'      </div>',
'    </div>',
'    <div ng-show="showData" class="stock-charts-wrapper">',
'      <div class="chart-titles">',
'        <div class="fixed-t">',
'          <div kr-click="switchChart(\'intraday\')" ng-class="{\'selected\': curChart.type === \'intraday\'}" class="c">分时</div>',
'          <div kr-click="switchChart(\'day\')" ng-class="{\'selected\': curChart.type === \'day\'}" class="c">日K</div>',
'          <div kr-click="switchChart(\'week\')" ng-class="{\'selected\': curChart.type === \'week\'}" class="c">周K</div>',
'          <div kr-click="switchChart(\'month\')" ng-class="{\'selected\': curChart.type === \'month\'}" class="c">月K</div>',
'        </div>',
'      </div>',
'      <div class="chart-area">',
'        <div ng-show="curChart.type === \'day\'" class="chart">',
'          <div id="day_chart_container" frameborder="0" class="light-chart"></div>',
'        </div>',
'        <div ng-show="curChart.type === \'week\'" class="chart">',
'          <div id="week_chart_container" frameborder="0" class="light-chart"></div>',
'        </div>',
'        <div ng-show="curChart.type === \'month\'" class="chart">',
'          <div id="month_chart_container" frameborder="0" class="light-chart"></div>',
'        </div>',
'        <div ng-show="curChart.type === \'intraday\' &amp;&amp; !stock.suspended" ng-class="{\'index\': stock.is_index}" class="chart inline-block chart-with-info">',
'          <div id="intraday_chart_container" frameborder="0" class="light-chart"></div>',
'        </div>',
'        <div ng-show="curChart.type === \'intraday\' &amp;&amp; !stock.suspended" ng-if="!stock.is_index" class="trading-info-wrapper inline-block">',
'          <div class="trading-info-block">',
'            <div ng-repeat="sItem in charts.intraday.pankou.sells" class="fixed-t">',
'              <div class="c trade-level">卖{{ sItem.order }}</div>',
'              <div color-element color-depend="(sItem.price - stock.last_close)" class="c trade-price">{{ sItem.price | price }}</div>',
'              <div class="c text-right slight-right-padding">{{ (sItem.volume / 100).toFixed(0) || \'--\' }}                                                                                                         </div>',
'            </div>',
'          </div>',
'          <div class="trading-info-block">',
'            <div ng-repeat="bItem in charts.intraday.pankou.buys" class="fixed-t">',
'              <div class="c trade-level">买{{ $index + 1 }}</div>',
'              <div color-element color-depend="(bItem[0] - stock.last_close)" class="c trade-price">{{ bItem[0] | price }}</div>',
'              <div class="c text-right slight-right-padding">{{ (bItem[1] / 100).toFixed(0) || \'--\' }}  </div>',
'            </div>',
'          </div>',
'        </div>',
'      </div>',
'    </div>',
'  </tabview>',
'</tabview-container>',''].join("\n"));
}]);
