angular.module('app.modules.review.templates', [])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/review/templates/review.actions.tpl.jade', [
'',
'<tabview-container id="review-actions">',
'  <tabview heading="操作记录" next="icon_close" on-next="close()">',
'    <div class="stock-info">',
'      <div class="info-block">',
'        <!--.key 操作股票-->',
'        <div class="value">{{ record[type].name || \'--\' }} {{ record[type].symbol || \'--\' }}</div>',
'      </div>',
'      <div class="info-block">',
'        <!--.key 操作时段-->',
'        <div class="value">{{ record[type].start_time | date:"yyyy.MM.dd" }} ~ {{ record[type].end_time | date:"yyyy.MM.dd" }}</div>',
'      </div>',
'    </div>',
'    <div class="board"> ',
'      <table>',
'        <tr class="head"> ',
'          <th>时间</th>',
'          <th>操作</th>',
'          <th>手数</th>',
'          <th>成交价</th>',
'          <!--th 资产-->',
'        </tr>',
'        <tr ng-repeat="action in actions">',
'          <td ng-if="!isIntradayTraining()">{{ action.time | date:"yyyy.MM.dd" }}</td>',
'          <td ng-if="isIntradayTraining()">{{ action.time | date:"H:mm" }}</td>',
'          <td>{{ action.actionText }}</td>',
'          <td>{{ action.showAmount }}</td>',
'          <td>{{ action.price.toFixed(2) || \'--\' }}</td>',
'          <!--td(ng-if="$even") {{ action.cost.toFixed(2) || \'--\' }}-->',
'          <!--td(ng-if="$odd") {{ action.price.toFixed(2) || \'--\' }}-->',
'          <!--todo-->',
'          <!--td {{ action.cash || \'--\' }}                                                                              -->',
'        </tr>',
'      </table>',
'    </div>',
'  </tabview>',
'</tabview-container>',''].join("\n"));
}])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/review/templates/review.board.tpl.jade', [
'',
'<tabview-container id="review-board">',
'  <tabview heading="训练排行榜" next="icon_close" on-next="close()">',
'    <div class="stock-info">',
'      <div class="info-block">',
'        <!--.key 操作股票-->',
'        <div class="value">{{ record[type].name || \'--\' }} {{ record[type].symbol || \'--\' }}</div>',
'      </div>',
'      <div class="info-block">',
'        <!--.key 操作时段-->',
'        <div class="value">{{ record[type].start_time | date:"yyyy.MM.dd" }} ~ {{ record[type].end_time | date:"yyyy.MM.dd" }}</div>',
'      </div>',
'    </div>',
'    <div class="board"> ',
'      <table>',
'        <tr class="head"> ',
'          <th>排名</th>',
'          <th>挑战者</th>',
'          <!--th 交易-->',
'          <th>收益</th>',
'          <th>关注</th>',
'        </tr>',
'        <tr ng-repeat="leader in board.leaders">',
'          <td>{{ $index + 1 }}</td>',
'          <td class="single-line-text">{{ leader.info.name || \'匿名操盘手\' }}</td>',
'          <!--td {{ \'--\' }}-->',
'          <td color-element color-depend="leader.info.return">{{ leader.info.return | percentage }}</td>',
'          <td ng-if="!follows[leader.info.user_id] &amp;&amp; leader.info.user_id !== record.user_id" kr-click="follow(leader.info.user_id)" class="follow">关注</td>',
'          <td ng-if="follows[leader.info.user_id] &amp;&amp; leader.info.user_id !== record.user_id" class="text-gray"><i ng-show="follows[leader.info.user_id].done === 0" class="fa fa-spin fa-spinner"></i><span ng-show="follows[leader.info.user_id].done === 1">已关注</span></td>',
'          <td ng-if="leader.info.user_id === record.user_id" class="text-gray">--</td>',
'        </tr>',
'      </table>',
'    </div>',
'  </tabview>',
'</tabview-container>',''].join("\n"));
}])
.run(['$templateCache', function($templateCache) {
  return $templateCache.put('app/modules/review/templates/review.tpl.jade', [
'',
'<div id="review" ng-controller="ReviewCtrl" ng-show="isReady" ng-intro-id="复盘" ng-intro-once="true" ng-intro-options="introOptions" ng-intro-method="startIntro" ng-intro-onchange="onIntroChange" ng-intro-oncomplete="onIntroComplete" ng-intro-onexit="onIntroExit" ng-intro-exit-method="exitIntro" ng-intro-autorefresh="true">',
'  <div id="chart-wrapper">',
'    <div id="btn-end">',
'      <button kr-click="end()" ng-class="isCtbOn ? \'btn-in-black\' : \'\'">结束<br>复盘</button>',
'    </div>',
'    <div id="info" ng-show="isShowInfo">',
'      <div class="info-box horizontal">',
'        <div ng-style="{color: isCtbOn ? \'#BBB\' : \'black\'}" class="key">{{ record[type].name }}</div>',
'        <div ng-if="!isIntradayTraining()" ng-style="{color: isCtbOn ? \'#BBB\' : \'black\'}" class="value">{{ info.time | date:"yyyy.MM.dd" }}</div>',
'        <div ng-if="isIntradayTraining()" ng-style="{color: isCtbOn ? \'#BBB\' : \'black\'}" class="value">{{ info.time | date:"yyyy-MM-dd H:mm" }}</div>',
'      </div>',
'      <div ng-show="!info.isSuspend" class="info-orientation">',
'        <div class="info-box horizontal">',
'          <!--.key(ng-class="isCtbOn ? \'color-in-black-theme\' : \'\'") 当前-->',
'          <div color-element color-depend="info.rise" color-maker="{normal: isCtbOn ? \'#BBB\' : \'black\'}" class="key">{{ info.price | price }}</div>',
'          <!--.key(ng-class="isCtbOn ? \'color-in-black-theme\' : \'\'") 日涨-->',
'          <div color-element color-depend="info.rise" color-maker="{normal: isCtbOn ? \'#BBB\' : \'black\'}" class="value">{{ info.rise | percentage }}</div>',
'        </div>',
'        <div ng-if="!isIntradayTraining()" class="info-box horizontal">',
'          <div ng-style="{color: isCtbOn ? \'#BBB\' : \'black\'}" class="key">换手率</div>',
'          <div ng-style="{color: isCtbOn ? \'#BBB\' : \'black\'}" class="value">{{ (info.turnoverRate | percentage) || \'--\'}}</div>',
'        </div>',
'      </div>',
'      <div ng-show="info.isSuspend" class="info-orientation">',
'        <div class="info-box horizontal">',
'          <div class="key suspend">停牌</div>',
'        </div>',
'      </div>',
'    </div>',
'    <div id="bottom_btn_group"></div>',
'    <div id="chart">',
'      <iframe id="tv_chart_container" frameborder="0" ng-src="{{ \'libs/trader_chart.html?v=0d45e096\' | resource }}"></iframe>',
'      <kr-drawer ng-if="isSupportSwitchInterval()" drawer-id="review" left-tags="krDrawerLeftTags" right-tags="[&quot;1分钟&quot;, &quot;日K线&quot;]" init-active-tags="[&quot;统计&quot;, &quot;1分钟&quot;]" on-tag-click="onKrDrawerTagClick" on-show-hide="onShowHide" init-show="true"></kr-drawer>',
'      <kr-drawer ng-if="!isSupportSwitchInterval()" drawer-id="review" left-tags="krDrawerLeftTags" right-tags="[&quot;日K线&quot;]" init-active-tags="[&quot;统计&quot;, &quot;日K线&quot;]" on-tag-click="onKrDrawerTagClick" on-show-hide="onShowHide" init-show="true"></kr-drawer>',
'    </div>',
'  </div>',
'  <div id="bottom-pannel">',
'    <div ng-show="activeTag === &quot;统计&quot;" class="base-part">',
'      <div class="content-wrapper">',
'        <div class="record-table">',
'          <ol>',
'            <li ng-if="gymName !== \'package\'">',
'              <div class="key">训练积分</div>',
'              <div class="value">{{ record.score >= 0 ? record.score : \'--\'}}</div>',
'            </li>',
'            <li ng-if="gymName === \'package\'">',
'              <div class="key">操作次数</div>',
'              <div class="value">{{ record.action_count }}</div>',
'            </li>',
'            <li>',
'              <div class="key">期初资金</div>',
'              <div class="value">{{ record.init_cash | wealth }}                </div>',
'            </li>',
'            <li>',
'              <div class="key">最大回撤</div>',
'              <div class="value">{{ record.max_drawdown || \'--\' | percentage }}</div>',
'            </li>',
'            <li>',
'              <div class="key">操作次数</div>',
'              <div class="value">{{ record.action_count }}</div>',
'            </li>',
'            <li class="portrait-only-with-height">',
'              <div class="key">期末资金</div>',
'              <div color-element color-depend="record.return" class="value">{{ record.cash | wealth }}</div>',
'            </li>',
'            <li class="portrait-only-with-height">',
'              <div class="key">杠杆倍数</div>',
'              <div class="value">{{ record.leverage }}</div>',
'            </li>',
'            <li class="twice-width li-for-circle landscape-only-with-height">',
'              <div class="key">前三名操作</div>',
'              <div class="value circle-wrapper"><a kr-click="selectTopPlayer(1)" ng-class="{\'selected\': isClicked(1)}" class="circle">1</a><a kr-click="selectTopPlayer(2)" ng-class="{\'selected\': isClicked(2)}" class="circle">2</a><a kr-click="selectTopPlayer(3)" ng-class="{\'selected\': isClicked(3)}" class="circle">3</a></div>',
'            </li>',
'            <li>',
'              <div class="key">择时收益</div>',
'              <div color-element color-depend="record.rel_return" class="value">{{ record.rel_return | percentage }}</div>',
'            </li>',
'            <li>',
'              <div class="key">训练收益</div>',
'              <div color-element color-depend="record.return" class="value">{{ record.return | percentage }}</div>',
'            </li>',
'            <li class="landscape-only-with-height">',
'              <div class="key">期末资金</div>',
'              <div color-element color-depend="record.return" class="value">{{ record.cash | wealth }}</div>',
'            </li>',
'            <li class="landscape-only-with-height">',
'              <div class="key">杠杆倍数</div>',
'              <div class="value">{{ record.leverage }}</div>',
'            </li>',
'            <li class="twice-width li-for-circle portrait-only-with-height">',
'              <div class="key">前三名操作</div>',
'              <div class="value circle-wrapper"><a kr-click="selectTopPlayer(1)" ng-class="{\'selected\': isClicked(1)}" class="circle">1</a><a kr-click="selectTopPlayer(2)" ng-class="{\'selected\': isClicked(2)}" class="circle">2</a><a kr-click="selectTopPlayer(3)" ng-class="{\'selected\': isClicked(3)}" class="circle">3</a></div>',
'            </li>',
'            <li class="li-for-single-btn"><a kr-click="openActionModal()" class="single-btn">我的操作</a></li>',
'            <li class="li-for-single-btn"><a kr-click="openBoardModal()" class="single-btn">排行榜</a></li>',
'          </ol>',
'        </div>',
'      </div>',
'      <div class="stock-info">',
'        <div class="info-block">',
'          <!--.key 操作股票-->',
'          <div class="value">{{ record[type].name || \'--\' }} {{ record[type].symbol || \'--\' }}</div>',
'        </div>',
'        <div class="info-block">',
'          <!--.key 操作时段-->',
'          <div class="value">{{ record[type].start_time | date:"yyyy.MM.dd" }} ~ {{ record[type].end_time | date:"yyyy.MM.dd" }}</div>',
'        </div>',
'      </div>',
'    </div>',
'    <div ng-show="activeTag === &quot;笔记&quot;" class="comment-part">',
'      <div class="lists">',
'        <div class="list">',
'          <div ng-repeat="comment in comments" class="fixed-t">',
'            <div ng-if="!isIntradayTraining()" class="c action-1 no-underline"><span>{{ comment.time | date:"yyyy-MM-dd" }}</span><span color-element color-depend="comment._actionTextColor"> {{ comment._actionText }}</span></div>',
'            <div ng-if="isIntradayTraining()" class="c action-2 no-underline"><span>{{ comment.time | date:"HH:mm" }}</span><span color-element color-depend="comment._actionTextColor"> {{ comment._actionText }}</span></div>',
'            <div class="c no-underline"><span ng-if="comment.comment">{{ comment.comment }}</span><span ng-if="!comment.comment" class="text-light-gray">无</span></div>',
'            <div class="c no-underline text-right"><span ng-show="activeComments[comment.bar_index]" kr-click="showCommentOnChart(comment, activeComments)" class="comment-btn-1">隐藏</span><span ng-show="!activeComments[comment.bar_index]" kr-click="showCommentOnChart(comment, activeComments)" class="comment-btn-2">显示</span></div>',
'          </div>',
'        </div>',
'      </div>',
'    </div>',
'    <div ng-show="activeTag === &quot;事件&quot;" class="comment-part">',
'      <div class="lists">',
'        <div class="list">',
'          <div ng-repeat="comment in eventDrivenInfo.array" class="fixed-t">',
'            <div ng-if="!isIntradayTraining()" class="c action-1-long no-underline"><span>{{ comment.time | date:"yyyy-MM-dd" }}</span><span> {{ comment.title }}</span></div>',
'            <div ng-if="isIntradayTraining()" class="c action-2-long no-underline"><span>{{ comment.time | date:"HH:mm" }}</span><span> {{ comment.title }}</span></div><!--',
'            <div class="c no-underline"><span ng-if="comment.comment">{{ comment.comment }}</span><span ng-if="!comment.comment" class="text-light-gray">无</span></div>-->',
'            <div class="c no-underline text-right"><span ng-show="activeEventDrivenInfo[comment.bar_index]" kr-click="showCommentOnChart(comment, activeEventDrivenInfo)" class="comment-btn-1">隐藏</span><span ng-show="!activeEventDrivenInfo[comment.bar_index]" kr-click="showCommentOnChart(comment, activeEventDrivenInfo)" class="comment-btn-2">显示</span></div>',
'          </div>',
'        </div>',
'      </div>',
'    </div>',
'  </div>',
'</div>',''].join("\n"));
}]);
